petsc-3.4.2 2013-07-02

# VecLoadExodusCell

Read a Vec representing the values of a field at all cells from an exodusII file.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode VecLoadExodusCell(DM dm,Vec v,MPI_Comm comm,PetscInt exoid,PetscInt step,PetscInt exofield)

### Input Parameters

| dm | - the DMMesh representing the mesh
| v | - the LOCAL vector of values to be read (i.e. with ghost values) obtained with SectionRealCreateLocalVector. if v represents a field with several components, the block size must be set accordingly using VecSetBlockSize().
| comm | - the communicator associated to the exo file + if size(comm) == 1 each processor writes its local vector into a separate file . if size(comm) > 1, the values are sent to cpu 0, and written in a single file
| exoid | - the id of the exodusII file (obtained with ex_open or ex_create)

step -the time step to write
exofield -the position in the exodus field of the first component

Interpolated meshes are not supported. -

### Keywords

mesh,ExodusII

### See Also

MeshCreate() MeshCreateExodus() SectionRealCreateLocalVector() VecViewExodusCell()
VecViewExodusVertexSet() VecLoadExodusVertexSet() VecViewExodusCellSet() VecLoadExodusCellSet() VecViewExodusVertex() VecLoadExodusVertex()

Level:beginner
Location:src/dm/impls/mesh/meshexodus.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages